Name:           clutter-gst3
Version:        3.0.27
Release:        2
Summary:        An integration library for using GStreamer with Clutter

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Clutter
Source0:        https://gitlab.gnome.org/Archive/clutter-gst/-/archive/%{version}/clutter-gst-%{version}.tar.gz#/%{version}.tar.gz

BuildRequires:  chrpath clutter-devel cogl-devel glib2-devel gobject-introspection-devel
BuildRequires:  gstreamer1-devel gstreamer1-plugins-base-devel libgudev-devel gtk-doc

%description
Clutter-Gst is an integration library for using GStreamer with Clutter.
It provides a GStreamer sink to upload frames to GL and an actor that
implements the ClutterGstPlayer interface using playbin.

%package        devel
Summary:        Libraries and header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and header files are contained in %{name}-devel package. You need to
install the %{name}-devel package if you want to develop applications that use
clutter-gst API version 3.0.

%package_help

%prep
%autosetup -n clutter-gst-%{version} -p1

%build
./autogen.sh

%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%delete_la
%files
%license COPYING
%doc NEWS AUTHORS
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/ClutterGst-3.0.typelib
%exclude %{_libdir}/gstreamer-1.0/

%files devel
%{_datadir}/gir-1.0/ClutterGst-3.0.gir
%{_libdir}/pkgconfig/clutter-gst-3.0.pc
%{_libdir}/*.so
%{_includedir}/clutter-gst-3.0/clutter-gst/*.h

%files help
%doc README

%changelog
* Fri Nov 25 2022 wangkerong <wangkerong@h-partners.com> - 3.0.27-2
- modify source url

* Fri Jan 29 2021 yanglu <yanglu60@huawei.com> - 3.0.27-1
- update version

* Wed Sep 9 2020 hanhui <hanhui15@huawei.com> - 3.0.26-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source url

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.0.26-4
- Type:NA
- Id:NA
- SUG:NA
- DESC:update tarball

* Wed Aug 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.0.26-3
- Package Init

